net.minecraft.client.model

## Class ModelBase

- java.lang.Object
- - net.minecraft.client.model.ModelBase

- Direct Known Subclasses:
    ModelBat, ModelBiped, ModelBlaze, ModelBoat, ModelBook, ModelChest, ModelChicken, ModelCreeper, ModelDragon, ModelEnderCrystal, ModelGhast, ModelHorse, ModelIronGolem, ModelLeashKnot, ModelMagmaCube, ModelMinecart, ModelOcelot, ModelQuadruped, ModelSign, ModelSilverfish, ModelSkeletonHead, ModelSlime, ModelSnowMan, ModelSpider, ModelSquid, ModelVillager, ModelWither, ModelWolf, TechneModel

      public abstract class ModelBase
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List` | `boxList` This is a list of all the boxes (ModelRenderer.class) in the current model.
    `boolean` | `isChild`
    `boolean` | `isRiding`
    `float` | `onGround`
    `int` | `textureHeight`
    `int` | `textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelRenderer` | `getRandomModelBox(Random par1Random)`
    `TextureOffset` | `getTextureOffset(String par1Str)`
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
    `void` | `setLivingAnimations(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)` Used for easily adding entity-dependent animations.
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### onGround

          public float onGround

    - #### isRiding

          public boolean isRiding

    - #### boxList

          public List boxList

      This is a list of all the boxes (ModelRenderer.class) in the current model.

    - #### isChild

          public boolean isChild

    - #### textureWidth

          public int textureWidth

    - #### textureHeight

          public int textureHeight

  - ### Constructor Detail

    - #### ModelBase

          public ModelBase()

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Sets the models various rotation angles then renders the model.

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

    - #### setLivingAnimations

          public void setLivingAnimations(EntityLivingBase par1EntityLivingBase,
                                 float par2,
                                 float par3,
                                 float par4)

      Used for easily adding entity-dependent animations. The second and third float params here are the same second and third as in the setRotationAngles method.

    - #### getRandomModelBox

          public ModelRenderer getRandomModelBox(Random par1Random)

    - #### getTextureOffset

          public TextureOffset getTextureOffset(String par1Str)